%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   DBD-CSV
%define modv   0.30
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       A DBI driver for CSV files
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/H/HM/HMBRAND/%{modn}-%{modv}.tgz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        H.Merijn Brand <h.m.brand@xs4all.nl>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl >= 5.5
BuildRequires: perl(charnames)
BuildRequires: perl(DBI) >= 1.611
BuildRequires: perl(DBD::File) >= 0.38
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(SQL::Statement) >= 1.25
BuildRequires: perl(Sys::Syslog)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.00
BuildRequires: perl(Test::Pod::Coverage) >= 1.00
BuildRequires: perl(Text::CSV_XS) >= 0.71
BuildArch:     noarch


%description
DBD::CSV is yet another driver for the DBI (Database independent interface
for Perl). This one is based on SQL::Statement and the abstract DBI driver
DBD::File and implements access to CSV files (Comma separated values).


%prep
%setup -q -n %{modn}-%{modv}

# Fix permissions
%{__chmod} -x ChangeLog README


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{?el4:%{__rm} t/11_dsnlist.t}
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ChangeLog README
%{perl_vendorlib}/Bundle
%{perl_vendorlib}/%{modp}
%{_mandir}/man3/*.3*


%changelog
* Wed Aug 11 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.30-1
- New version (0.30)

* Thu Jul 08 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.29-1
- New version (0.29)

* Fri Nov 21 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.22-1
- Initial build
